<div class="d-flex align-items-center flex-column">
  <h1 class="text-center">{{ title }}</h1>
</div>
<ng-container *ngIf="data?.length">
  <table mat-table class="table" [dataSource]="data">
    <ng-container matColumnDef="id">
      <th class="py-2" mat-header-cell *matHeaderCellDef>#</th>
      <td class="py-2" mat-cell *matCellDef="let element;">{{ element.id }}</td>
    </ng-container>
    <ng-container matColumnDef="image">
      <th class="p-2" mat-header-cell *matHeaderCellDef>Image</th>
      <td class="p-2" mat-cell *matCellDef="let element;">
        <img src="{{ element.image }}" alt="{{ element.name }}">
      </td>
    </ng-container>
    <ng-container matColumnDef="name">
      <th class="p-2" mat-header-cell *matHeaderCellDef>Name</th>
      <td class="p-2" mat-cell *matCellDef="let element;">
        {{ element.name }}
      </td>
    </ng-container>
    <ng-container matColumnDef="author">
      <th class="p-2" mat-header-cell *matHeaderCellDef>Author</th>
      <td class="p-2" mat-cell *matCellDef="let element;">
        {{ element.author }}
      </td>
    </ng-container>
    <ng-container matColumnDef="email">
      <th class="p-2" mat-header-cell *matHeaderCellDef>Email</th>
      <td class="p-2" mat-cell *matCellDef="let element;">
        {{ element.email }}
      </td>
    </ng-container>
    <ng-container matColumnDef="amount">
      <th class="p-2" mat-header-cell *matHeaderCellDef>Amount</th>
      <td class="p-2" mat-cell *matCellDef="let element;">
        {{ element.amount }}
      </td>
    </ng-container>
    <ng-container matColumnDef="controls">
      <th class="py-2" mat-header-cell *matHeaderCellDef>Controls</th>
      <td class="py-2" mat-cell *matCellDef="let element;">
        <button class="btn btn-danger me-2" (click)="removeItem(element.id)" [disabled]="element.is_default">Remove</button>
        <button class="btn btn-warning" (click)="editItem(element.id)" [disabled]="element.is_default">Edit</button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="visibleColumns" class="h-100"></tr>
    <tr mat-row *matRowDef="let row; columns: visibleColumns"></tr>
  </table>
</ng-container>
<div class="d-flex align-items-center flex-column">
  <button mat-raised-button color="primary" (click)="addItem()">{{ addButtonText }}</button>
</div>
